
Ruby - Bug #1160

tracer attempts to show lines from binary files

02/15/2009 04:31 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: keiju (Keiju Ishitsuka)   

Target version: 1.9.2   

ruby -v: ruby 1.9.0 (2008-11-15 revision 20237)

[i386-mingw32]

Backport:  

Description

=begin

This file:

require 'tracer'

Tracer.on

def go

uncomment to show same error in 1.8.7

#require 'thread.so'

require 'readline.so'

eval("3==3")

end

go

outputs some garbage to stdout on the require 'readline.so' line.

Also some questions on tracer:

if I run ruby 1.8.7

ruby -rtracer some_prog

it outputs trace by default

however with 1.9

ruby -rtracer some_prog

does NOT output trace by default.

Any ideas?

Thanks!

-=r

=end

History

#1 - 07/16/2009 05:35 PM - yugui (Yuki Sonoda)

- Category set to ext

- Assignee set to keiju (Keiju Ishitsuka)

- Priority changed from 3 to Normal

- Target version set to 1.9.2

=begin

=end

#2 - 07/21/2009 08:46 PM - keiju (Keiju Ishitsuka)

- Status changed from Open to Closed

=begin

行番号が０の場合は？を表示するようにしました。

=end
